Subject: Re: [bug#30606] maven resolver packages

From: julien lepiller <[email-masked]>
Date: Wed, 14 Mar 2018 14:15:16 +0100

Le 2018-03-14 07:36, Björn Höfling a écrit :
> Hi Julien,
> 
> sorry I was slower reviewing than you commiting this one.
> 
> On Sun, 25 Feb 2018 16:48:22 +0100
> Julien Lepiller <[email-masked]> wrote:
> 
>> Hi,
>> 
>> here are the first few packages needed by maven. I created a new
>> maven.scm file for them.
> 
> 
> All 5 look good, besides maybe this remark:
> 
> These packages are used to bootstrap Maven. Once we have Maven and a
> maven-build-system, we eventually want to rebuild them with Maven and
> have them in some (to be defined) Guix-Maven-Layout, for example with
> pom.xml included and in the usual .m2/repository directory-structure.
> 
> Should we thus rename them to maven-*-bootstrap and just (define them
> instead of (define-public?
> 
> Björn

Hi Björn,

I think it's OK to leave them as is for now but I don't really have any
objection to your suggestion, so I'll add it to my TODO list and push a
patch before the next series. I'm trying to improve the rest of my
packages so it may take some time.

Thank you!